# Institutional Activity (Deprecated) `GET` `https://api.unusualwhales.com/api/institution/{name}/activity` The trading activities for a given institution. WARNING: Providing partial names e.g. "VANGUARD" might lead to unexpected results. To ensure you get the expected result, it is recommended to use the company CIK (e.g. 0000102909 for VANGUARD GROUP INC) as the name parameter. You can use endpoint "api/institutions" with a partial name like "VANGUARD" to get all matching institutions with their CIKs. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `name` | Institution | Yes | A large entity that manages funds and investments for others. Queryable by name or cik. | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Institutional Reporting End Date | No | End date to filter institutional reporting data in the format YYYY-MM-DD. Only data with dates on or before this date will be returned. | | `limit` | Default 500 Max 500 Min 1 | No | How many items to return. Default: 500. Max: 500. Min: 1. | | `page` | Page | No | Page number (use with limit). Starts on page 0. | | `order` | Institutional Activity Order By | No | Optional columns to order the result by per report period end date. | | `order_direction` | OrderDirection | No | Whether to sort descending or ascending. Descending by default. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `avg_price` | Avg Price | | | `buy_price` | Buy Price | | | `close` | Stock Close Price | The close stock price of the ticker. | | `filing_date` | General ISO Date | An ISO date. | | `price_on_filing` | Price On Filing | The security price on the filing date. | | `price_on_report` | Price On Report | The security price on the report date. | | `put_call` | PutCall | Whether the holding is a put or a call (null if neither). | | `report_date` | General ISO Date | An ISO date. | | `security_type` | Security Type | | | `sell_price` | Sell Price | | | `shares_outstanding` | Shares Outstanding | Total outstanding shares for the ticker. | | `ticker` | Ticker Symbol | | | `units` | Units | | | `units_change` | Units Change | The change in units | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/institution/{name}/activity" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/institution/{name}/activity", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "avg_price": "432.31", "buy_price": null, "close": "513.23", "filing_date": "2024-12-23", "price_on_filing": "510.34", "price_on_report": "495.95", "put_call": null, "report_date": "2024-09-30", "security_type": "Fund", "sell_price": null, "shares_outstanding": "148239423.0", "ticker": "SPLG", "units": 5000, "units_change": -500 } ] } ```